TON CenterV2Transactions
applications/api/toncenter/v2/transactions/try-locate-result-transaction
X-API-Key<token>
API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.
In: header
Query Parameters
source*string
Source account address.
destination*string
Destination account address.
created_lt*string
The logical time when the message was created. Available in the created_lt field of message objects.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/tryLocateResultTx?source=string&destination=string&created_lt=string"{
"ok": true,
"result": {
"@type": "ext.transaction",
"address": {
"@type": "accountAddress",
"account_address": "string"
},
"account": "string",
"utime": 0,
"data": "string",
"transaction_id": {
"@type": "internal.transactionId",
"lt": "string",
"hash": "string"
},
"fee": "string",
"storage_fee": "string",
"other_fee": "string",
"in_msg": {
"@type": "ext.message",
"hash": "string",
"source": "string",
"destination": "string",
"value": "string",
"extra_currencies": [
{
"@type": "extraCurrency",
"id": 0,
"amount": "string"
}
],
"fwd_fee": "string",
"ihr_fee": "string",
"created_lt": "string",
"body_hash": "string",
"msg_data": {
"@type": "msg.dataRaw",
"body": "string",
"init_state": "string"
},
"message": "string",
"message_decode_error": "string"
},
"out_msgs": [
{
"@type": "ext.message",
"hash": "string",
"source": "string",
"destination": "string",
"value": "string",
"extra_currencies": [
{
"@type": "extraCurrency",
"id": 0,
"amount": "string"
}
],
"fwd_fee": "string",
"ihr_fee": "string",
"created_lt": "string",
"body_hash": "string",
"msg_data": {
"@type": "msg.dataRaw",
"body": "string",
"init_state": "string"
},
"message": "string",
"message_decode_error": "string"
}
]
},
"@extra": "string"
}{
"ok": false,
"code": 401,
"error": "API key does not exist"
}{
"ok": false,
"code": 403,
"error": "Network not allowed"
}{
"ok": false,
"code": 404,
"error": "transaction not found"
}{
"ok": false,
"code": 422,
"error": "empty source address"
}{
"ok": false,
"code": 429,
"error": "Ratelimit exceeded"
}{
"ok": false,
"code": 504,
"error": "LITE_SERVER_NETWORK timeout"
}Last updated on